### Method

# St Clipboard set_text

#### Declaration [src]

    void
    st_clipboard_set_text (
      StClipboard* clipboard,
      StClipboardType type,
      const gchar* text
    )

#### Description [src]

Sets text as the current contents of the clipboard.

#### Parameters

`type`

  Type: `StClipboardType`

  The type of clipboard that you want to set.

`text`

  Type: `const gchar*`

  Text to copy to the clipboard.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.